--- old/usr/src/lib/libsasl/lib/common.c	Thu Jul 11 01:29:31 2013
+++ new/usr/src/lib/libsasl/lib/common.c	Thu Jul 11 01:29:31 2013
@@ -307,7 +307,6 @@
     unsigned i;
     size_t total_size = 0;
 
-    /* EXPORT DELETE START */
     if (!conn) return SASL_BADPARAM;
     if (! invec || ! output || ! outputlen || numiov < 1)
 	PARAMERROR(conn);
@@ -348,17 +347,14 @@
 	*output = conn->encode_buf->data;
 	*outputlen = conn->encode_buf->curlen;
 
-    /* CRYPT DELETE START */
 #ifdef _INTEGRATED_SOLARIS_
     } else if (!conn->sun_reg) {
 	    INTERROR(conn, SASL_FAIL);
 #endif /* _INTEGRATED_SOLARIS_ */
-    /* CRYPT DELETE END */
     } else {
 	result = conn->oparams.encode(conn->context, invec, numiov,
 				      output, outputlen);
     }
-    /* EXPORT DELETE END */
 
     RETURN(conn, result);
 }
@@ -369,7 +365,6 @@
 		const char **output, unsigned *outputlen)
 {
     int result;
-    /* EXPORT DELETE START */
 #ifdef _SUN_SDK_
     const _sasl_global_context_t *gctx;
 #endif /* _SUN_SDK_ */
@@ -423,12 +418,10 @@
 	*outputlen = inputlen;
 	
         return SASL_OK;
-    /* CRYPT DELETE START */
 #ifdef _INTEGRATED_SOLARIS_
     } else if (!conn->sun_reg) {
 	    INTERROR(conn, SASL_FAIL);
 #endif /* _INTEGRATED_SOLARIS_ */
-    /* CRYPT DELETE END */
     } else {
         result = conn->oparams.decode(conn->context, input, inputlen,
                                       output, outputlen);
@@ -439,7 +432,6 @@
         RETURN(conn, result);
     }
 
-    /* EXPORT DELETE END */
 #ifdef _SUN_SDK_
     return SASL_FAIL;
 #else
@@ -747,14 +739,10 @@
   switch(propnum)
   {
   case SASL_SSF:
-    /* EXPORT DELETE START */
-    /* CRYPT DELETE START */
 #ifdef _INTEGRATED_SOLARIS_
       if (!conn->sun_reg)
 	conn->oparams.mech_ssf = 0;
 #endif /* _INTEGRATED_SOLARIS_ */
-    /* CRYPT DELETE END */
-    /* EXPORT DELETE END */
       *(sasl_ssf_t **)pvalue= &conn->oparams.mech_ssf;
       break;      
   case SASL_MAXOUTBUF:
@@ -1304,8 +1292,6 @@
     return conn->errdetail_buf;
 }
 
-/* EXPORT DELETE START */
-/* CRYPT DELETE START */
 #ifdef _INTEGRATED_SOLARIS_
 DEFINE_STATIC_MUTEX(reg_mutex);
 typedef struct reg_list {
@@ -1353,8 +1339,6 @@
 	}
 }
 #endif /* _INTEGRATED_SOLARIS_ */
-/* CRYPT DELETE END */
-/* EXPORT DELETE END */
 
 /* Note that this needs the global callbacks, so if you don't give getcallbacks
  * a sasl_conn_t, you're going to need to pass it yourself (or else we couldn't
@@ -1374,8 +1358,6 @@
   global_callbacks = (const sasl_global_callbacks_t *) context;
 
 #ifdef _SUN_SDK_
-  /* EXPORT DELETE START */
-  /* CRYPT DELETE START */
 #ifdef _INTEGRATED_SOLARIS_
   if (strcmp("reg_sun_plug", option) == 0) {
         *result = (const char *)_register_plugin;
@@ -1383,8 +1365,6 @@
         return (SASL_OK);
   }
 #endif /* _INTEGRATED_SOLARIS_ */
-  /* CRYPT DELETE END */
-  /* EXPORT DELETE END */
 
   if (global_callbacks)
     gctx = global_callbacks->gctx;
@@ -2696,8 +2676,6 @@
     return SASL_OK;
 }
 
-/* EXPORT DELETE START */
-/* CRYPT DELETE START */
 #ifdef _INTEGRATED_SOLARIS_
 #pragma fini(sasl_fini)
 int 
@@ -2713,8 +2691,6 @@
     return (0);
 } 
 #endif /* _INTEGRATED_SOLARIS_ */
-/* CRYPT DELETE END */
-/* EXPORT DELETE END */
 
 #endif /* _SUN_SDK_ */
 
--- old/usr/src/lib/libsasl/lib/saslint.h	Thu Jul 11 01:29:32 2013
+++ new/usr/src/lib/libsasl/lib/saslint.h	Thu Jul 11 01:29:32 2013
@@ -212,13 +212,9 @@
 
 #ifdef _SUN_SDK_
   struct _sasl_global_context_s *gctx;
-  /* EXPORT DELETE START */
-  /* CRYPT DELETE START */
 #ifdef _INTEGRATED_SOLARIS_
   int sun_reg;
 #endif /* _INTEGRATED_SOLARIS_ */
-  /* CRYPT DELETE END */
-  /* EXPORT DELETE END */
 #endif /* _SUN_SDK_ */
 };
 
@@ -240,13 +236,9 @@
 		      set to SASL_CONTINUE if delayed plugn loading */
     char *plugname; /* for AUTHSOURCE tracking */
 #ifdef _SUN_SDK_
-    /* EXPORT DELETE START */
-    /* CRYPT DELETE START */
 #ifdef _INTEGRATED_SOLARIS_
     int sun_reg;
 #endif /* _INTEGRATED_SOLARIS_ */
-    /* CRYPT DELETE END */
-    /* EXPORT DELETE END */
     sasl_server_plug_t *plug;
 	/*
 	 * The global context needs to be stored with separately from the	
@@ -298,13 +290,9 @@
 
     char *plugname;
 #ifdef _SUN_SDK_
-    /* EXPORT DELETE START */
-    /* CRYPT DELETE START */
 #ifdef _INTEGRATED_SOLARIS_
     int sun_reg;
 #endif /* _INTEGRATED_SOLARIS_ */
-    /* CRYPT DELETE END */
-    /* EXPORT DELETE END */
 	/*
 	 * The global context needs to be stored with separately from the	
 	 * the plugin because it will be overwritten when the plugin is
@@ -803,13 +791,9 @@
 
 _sasl_global_context_t *_sasl_gbl_ctx(void);
 
-/* EXPORT DELETE START */
-/* CRYPT DELETE START */
 #ifdef _INTEGRATED_SOLARIS_
 int _is_sun_reg(void *mech);
 #endif /* _INTEGRATED_SOLARIS_ */
-/* CRYPT DELETE END */
-/* EXPORT DELETE END */
 
 /* unsupported functions that are used internally */
 int sasl_randcreate(sasl_rand_t **rpool);
--- old/usr/src/lib/libsasl/lib/server.c	Thu Jul 11 01:29:32 2013
+++ new/usr/src/lib/libsasl/lib/server.c	Thu Jul 11 01:29:32 2013
@@ -386,13 +386,9 @@
     _sasl_global_context_t *gctx = ctx == NULL ? _sasl_gbl_ctx() : ctx;
     mech_list_t *mechlist = gctx->mechlist;
 
-    /* EXPORT DELETE START */
-    /* CRYPT DELETE START */
 #ifdef _INTEGRATED_SOLARIS_
     int sun_reg;
 #endif /* _INTEGRATED_SOLARIS_ */
-    /* CRYPT DELETE END */
-    /* EXPORT DELETE END */
 #else
 {
 #endif /* _SUN_SDK_ */
@@ -429,13 +425,9 @@
     result = entry_point(mechlist->utils, SASL_SERVER_PLUG_VERSION, &version,
 			 &pluglist, &plugcount);
 
-    /* EXPORT DELETE START */
-    /* CRYPT DELETE START */
 #ifdef _INTEGRATED_SOLARIS_
     sun_reg = _is_sun_reg(pluglist);
 #endif /* _INTEGRATED_SOLARIS_ */
-    /* CRYPT DELETE END */
-    /* EXPORT DELETE END */
 
 #ifdef _SUN_SDK_
     if (result != SASL_OK) {
@@ -513,13 +505,9 @@
 	}
 	mech->version = version;
 #ifdef _SUN_SDK_
-	/* EXPORT DELETE START */
-	/* CRYPT DELETE START */
 #ifdef _INTEGRATED_SOLARIS_
 	mech->sun_reg = sun_reg;
 #endif /* _INTEGRATED_SOLARIS_ */
-	/* CRYPT DELETE END */
-	/* EXPORT DELETE END */
 
 	/* whether this mech actually has any users in it's db */
 	mech->condition = SASL_OK;
@@ -1491,8 +1479,6 @@
 	}
     }
     
-    /* EXPORT DELETE START */
-    /* CRYPT DELETE START */
 #ifdef _INTEGRATED_SOLARIS_
     if (!mech->sun_reg) {
 	s_conn->sparams->props.min_ssf = 0;
@@ -1500,8 +1486,6 @@
     }
     s_conn->base.sun_reg = mech->sun_reg;
 #endif /* _INTEGRATED_SOLARIS_ */
-    /* CRYPT DELETE END */
-    /* EXPORT DELETE END */
     if (conn->props.min_ssf < conn->external.ssf) {
 	minssf = 0;
     } else {
@@ -1509,20 +1493,12 @@
     }
     
     /* Generic mechanism */
-    /* EXPORT DELETE START */
-    /* CRYPT DELETE START */
 #ifdef _INTEGRATED_SOLARIS_
     /* If not SUN supplied mech, it has no strength */
     if (plug->max_ssf < minssf || (minssf > 0 && !mech->sun_reg)) {
 #else
-    /* CRYPT DELETE END */
-    /* EXPORT DELETE END */
     if (plug->max_ssf < minssf) {
-    /* EXPORT DELETE START */
-    /* CRYPT DELETE START */
 #endif /* _INTEGRATED_SOLARIS_ */
-    /* CRYPT DELETE END */
-    /* EXPORT DELETE END */
 #ifdef _INTEGRATED_SOLARIS_
 	sasl_seterror(conn, SASL_NOLOG,
 		      gettext("mech %s is too weak"), plug->mech_name);
@@ -1576,20 +1552,12 @@
     }
     
     /* Generic mechanism */
-    /* EXPORT DELETE START */
-    /* CRYPT DELETE START */
 #ifdef _INTEGRATED_SOLARIS_
     /* If not SUN supplied mech, it has no strength */
     if (plug->max_ssf < minssf || (minssf > 0 && !mech->sun_reg)) {
 #else
-    /* CRYPT DELETE END */
-    /* EXPORT DELETE END */
     if (plug->max_ssf < minssf) {
-    /* EXPORT DELETE START */
-    /* CRYPT DELETE START */
 #endif /* _INTEGRATED_SOLARIS_ */
-    /* CRYPT DELETE END */
-    /* EXPORT DELETE END */
 #ifdef _INTEGRATED_SOLARIS_
 	sasl_seterror(conn, SASL_NOLOG, gettext("too weak"));
 #else
--- old/usr/src/lib/libsldap/Makefile	Thu Jul 11 01:29:33 2013
+++ new/usr/src/lib/libsldap/Makefile	Thu Jul 11 01:29:33 2013
@@ -76,16 +76,3 @@
 	$(RM) messages.po
 
 FRC:
-
-# EXPORT DELETE START
-EXPORT_SRC:
-	$(RM) -f common/ns_crypt.c+ Makefile+
-	sed -e "/EXPORT DELETE START/,/EXPORT DELETE END/d" < \
-		common/ns_crypt.c > common/ns_crypt.c+
-	$(MV) common/ns_crypt.c+ common/ns_crypt.c
-	sed -e "/^# EXPORT DELETE START/,/^# EXPORT DELETE END/d" \
-		< Makefile > Makefile+
-	$(MV) Makefile+ Makefile
-	$(CHMOD) 444 Makefile common/ns_crypt.c
-
-# EXPORT DELETE END
--- old/usr/src/lib/libsldap/common/ns_crypt.c	Thu Jul 11 01:29:34 2013
+++ new/usr/src/lib/libsldap/common/ns_crypt.c	Thu Jul 11 01:29:34 2013
@@ -40,11 +40,8 @@
 #include <sys/time.h>
 #include "ns_sldap.h"
 #include "ns_internal.h"
-/* EXPORT DELETE START */
 #include <crypt.h>
 
-#define	NS_DOMESTIC	1
-
 static	char		t1[ROTORSIZE];
 static	char		t2[ROTORSIZE];
 static	char		t3[ROTORSIZE];
@@ -113,13 +110,11 @@
 	*aResLen = theLen;
 	return (theRes);
 }
-/* EXPORT DELETE END */
 
 
 static void
 c_setup()
 {
-/* EXPORT DELETE START */
 	int ic, i, k, temp;
 	unsigned random;
 	char buf[13];
@@ -190,7 +185,6 @@
 		    *mod_len = i;
 	}
 	return (s);
-/* EXPORT DELETE END */
 }
 
 
@@ -197,7 +191,6 @@
 char *
 evalue(char *ptr)
 {
-/* EXPORT DELETE START */
 	char *modv, *str, *ev;
 	int modv_len;
 	size_t len;
@@ -225,12 +218,6 @@
 	free(str);
 	str = NULL;
 	return (ev);
-#ifndef NS_DOMESTIC
-/* EXPORT DELETE END */
-	return (strdup(ptr));
-/* EXPORT DELETE START */
-#endif
-/* EXPORT DELETE END */
 }
 
 
@@ -237,7 +224,6 @@
 char *
 dvalue(char *ptr)
 {
-/* EXPORT DELETE START */
 	char *modv, *str, *sb;
 	int len;
 
@@ -253,10 +239,4 @@
 	free(str);
 	str = NULL;
 	return (modv);
-#ifndef NS_DOMESTIC
-/* EXPORT DELETE END */
-	return (strdup(ptr));
-/* EXPORT DELETE START */
-#endif
-/* EXPORT DELETE END */
 }
--- old/usr/src/lib/pam_modules/krb5/Makefile	Thu Jul 11 01:29:34 2013
+++ new/usr/src/lib/pam_modules/krb5/Makefile	Thu Jul 11 01:29:34 2013
@@ -41,13 +41,6 @@
 install :=	TARGET= install
 lint :=		TARGET= lint
 
-# EXPORT DELETE START
-# CRYPT DELETE START
-EXPORT_SRC :=	TARGET= EXPORT_SRC
-CRYPT_SRC :=	TARGET= CRYPT_SRC
-# CRYPT DELETE END
-# EXPORT DELETE END
-
 .KEEP_STATE:
 
 all clean clobber install lint: $(SUBDIRS)
@@ -60,36 +53,6 @@
 $(SUBDIRS):	FRC
 	@cd $@; pwd; $(MAKE) $(TARGET)
 
-# EXPORT DELETE START
-# CRYPT DELETE START
-# Special target to clean up the source tree for export distribution
-# Warning: This target changes the source tree
-EXPORT_SRC:
-	$(SED) -e "/^# EXPORT DELETE START/,/^# EXPORT DELETE END/d"	\
-		< Makefile.com > Makefile.com+
-	$(MV) Makefile.com+ Makefile.com
-	$(CHMOD) 444 Makefile.com
-	$(SED) -e "/^# EXPORT DELETE START/,/^# EXPORT DELETE END/d"	\
-		< Makefile > Makefile+
-	$(MV) Makefile+ Makefile
-	$(CHMOD) 444 Makefile
-
-CRYPT_SRC:
-	$(SED) -e "/^# CRYPT DELETE START/,/^# CRYPT DELETE END/d"	\
-		< Makefile.com \
-	    | $(SED) -e "/EXPORT DELETE/d" \
-		> Makefile.com+
-	$(MV) Makefile.com+ Makefile.com
-	$(CHMOD) 444 Makefile.com
-	$(SED) -e "/^# CRYPT DELETE START/,/^# CRYPT DELETE END/d"	\
-		< Makefile \
-	    | $(SED) -e "/EXPORT DELETE/d" \
-		> Makefile+
-	$(MV) Makefile+ Makefile
-	$(CHMOD) 444 Makefile
-# CRYPT DELETE END
-# EXPORT DELETE END
-
 FRC:
 
 include $(SRC)/Makefile.msg.targ
--- old/usr/src/lib/pkcs11/pkcs11_softtoken/common/Makefile	Thu Jul 11 01:29:35 2013
+++ new/usr/src/lib/pkcs11/pkcs11_softtoken/common/Makefile	Thu Jul 11 01:29:35 2013
@@ -32,16 +32,3 @@
 .KEEP_STATE:
 
 FRC:
-
-# EXPORT DELETE START
-EXPORT_SRC:
-	$(RM) Makefile+ softRSA.c+
-	sed -e "/EXPORT DELETE START/,/EXPORT DELETE END/d" \
-		< softRSA.c > softRSA.c+
-	$(MV) softRSA.c+ softRSA.c
-	sed -e "/^# EXPORT DELETE START/,/^# EXPORT DELETE END/d" \
-		< Makefile > Makefile+
-	$(RM) Makefile
-	$(MV) Makefile+ Makefile 
-	$(CHMOD) 444 Makefile softRSA.c
-# EXPORT DELETE END
--- old/usr/src/lib/pkcs11/pkcs11_softtoken/common/softRSA.c	Thu Jul 11 01:29:36 2013
+++ new/usr/src/lib/pkcs11/pkcs11_softtoken/common/softRSA.c	Thu Jul 11 01:29:36 2013
@@ -45,8 +45,6 @@
 
 	CK_RV rv = CKR_OK;
 
-/* EXPORT DELETE START */
-
 	uchar_t expo[MAX_KEY_ATTR_BUFLEN];
 	uchar_t modulus[MAX_KEY_ATTR_BUFLEN];
 	uint32_t expo_len = sizeof (expo);
@@ -82,8 +80,6 @@
 
 clean1:
 
-/* EXPORT DELETE END */
-
 	return (rv);
 }
 
@@ -95,8 +91,6 @@
 
 	CK_RV rv = CKR_OK;
 
-/* EXPORT DELETE START */
-
 	uchar_t modulus[MAX_KEY_ATTR_BUFLEN];
 	uchar_t prime1[MAX_KEY_ATTR_BUFLEN];
 	uchar_t prime2[MAX_KEY_ATTR_BUFLEN];
@@ -184,8 +178,6 @@
 
 clean1:
 
-/* EXPORT DELETE END */
-
 	return (rv);
 }
 
--- old/usr/src/lib/sasl_plugins/Makefile	Thu Jul 11 01:29:37 2013
+++ new/usr/src/lib/sasl_plugins/Makefile	Thu Jul 11 01:29:37 2013
@@ -48,53 +48,6 @@
 
 FRC:
 
-# EXPORT DELETE START
-# CRYPT DELETE START
-# Special target to clean up the source tree for export distribution
-# Warning: This target changes the source tree
-EXPORT_SRC:
-	$(RM) 	Makefile+ \
-		digestmd5/digestmd5.c+ \
-		gssapi/gssapi.c+
-
-	$(SED) -e "/^# EXPORT DELETE START/,/^# EXPORT DELETE END/d" \
-		< Makefile > Makefile+
-	$(MV) Makefile+ Makefile
-
-	$(SED) -e "/EXPORT DELETE START/,/EXPORT DELETE END/d" \
-		< digestmd5/digestmd5.c > digestmd5/digestmd5.c+
-	$(MV) digestmd5/digestmd5.c+ digestmd5/digestmd5.c
-
-	$(SED) -e "/EXPORT DELETE START/,/EXPORT DELETE END/d" \
-		< gssapi/gssapi.c > gssapi/gssapi.c+
-	$(MV) gssapi/gssapi.c+ gssapi/gssapi.c
-
-	$(CHMOD) 444 \
-		Makefile \
-		digestmd5/digestmd5.c \
-		gssapi/gssapi.c
-
-CRYPT_SRC:
-	$(RM) Makefile+
-
-	$(SED) -e "/CRYPT DELETE START/,/CRYPT DELETE END/d" \
-		< digestmd5/digestmd5.c | $(SED) -e "/EXPORT DELETE/d" \
-		> digestmd5/digestmd5.c+
-	$(MV) digestmd5/digestmd5.c+ digestmd5/digestmd5.c
-
-	$(SED) -e "/CRYPT DELETE START/,/CRYPT DELETE END/d" \
-		< gssapi/gssapi.c | $(SED) -e "/EXPORT DELETE/d" \
-		> gssapi/gssapi.c+
-	$(MV) gssapi/gssapi.c+ gssapi/gssapi.c
-
-	$(SED) -e "/^# CRYPT DELETE START/,/^# CRYPT DELETE END/d" \
-		< Makefile | $(SED) -e "/^# EXPORT DELETE/d" > Makefile+
-	$(MV) Makefile+ Makefile
-	$(CHMOD) 444 Makefile digestmd5/digestmd5.c gssapi/gssapi.c
-
-# CRYPT DELETE END
-# EXPORT DELETE END
-
 include ../Makefile.targ
 
 .PARALLEL: $(SUBDIRS)
--- old/usr/src/lib/sasl_plugins/digestmd5/digestmd5.c	Thu Jul 11 01:29:37 2013
+++ new/usr/src/lib/sasl_plugins/digestmd5/digestmd5.c	Thu Jul 11 01:29:37 2013
@@ -63,7 +63,6 @@
 #include <fcntl.h>
 #include <ctype.h>
 
-/* EXPORT DELETE START */
 /* DES support */
 #ifdef WITH_DES
 # ifdef WITH_SSL_DES
@@ -72,7 +71,6 @@
 #  include <des.h>
 # endif
 #endif /* WITH_DES */
-/* EXPORT DELETE END */
 
 #ifdef WIN32
 # include <winsock.h>
@@ -721,7 +719,6 @@
     *in = endpair;
 }
 
-/* EXPORT DELETE START */
 #ifdef WITH_DES
 struct des_context_s {
     des_key_schedule keysched;  /* key schedule for des initialization */
@@ -1189,11 +1186,9 @@
 }
 
 #endif /* WITH_RC4 */
-/* EXPORT DELETE END */
 
 struct digest_cipher available_ciphers[] =
 {
-    /* EXPORT DELETE START */
 #ifdef WITH_RC4
     { "rc4-40", 40, 5, 0x01, &enc_rc4, &dec_rc4, &init_rc4, &free_rc4 },
     { "rc4-56", 56, 7, 0x02, &enc_rc4, &dec_rc4, &init_rc4, &free_rc4 },
@@ -1203,7 +1198,6 @@
     { "des", 55, 16, 0x08, &enc_des, &dec_des, &init_des, &free_des },
     { "3des", 112, 16, 0x10, &enc_3des, &dec_3des, &init_3des, &free_des },
 #endif
-    /* EXPORT DELETE END */
     { NULL, 0, 0, 0, NULL, NULL, NULL, NULL }
 };
 
@@ -3688,17 +3682,13 @@
 {
     {
 	"DIGEST-MD5",			/* mech_name */
-	/* EXPORT DELETE START */
 #ifdef WITH_RC4
 	128,				/* max_ssf */
 #elif WITH_DES
 	112,
 #else 
-	/* EXPORT DELETE END */
 	0,
-	/* EXPORT DELETE START */
 #endif
-	/* EXPORT DELETE END */
 	SASL_SEC_NOPLAINTEXT
 	| SASL_SEC_NOANONYMOUS
 	| SASL_SEC_MUTUAL_AUTH,		/* security_flags */
@@ -3779,8 +3769,6 @@
 #endif /* USE_UEF_CLIENT */
 #endif /* _SUN_SDK_ */
 
-    /* EXPORT DELETE START */
-    /* CRYPT DELETE START */
 #ifdef _INTEGRATED_SOLARIS_
     /*
      * Let libsasl know that we are a "Sun" plugin so that privacy
@@ -3788,8 +3776,6 @@
      */
     REG_PLUG("DIGEST-MD5", digestmd5_server_plugins);
 #endif /* _INTEGRATED_SOLARIS_ */
-    /* CRYPT DELETE END */
-    /* EXPORT DELETE END */
 
     *out_version = SASL_SERVER_PLUG_VERSION;
     *pluglist = digestmd5_server_plugins;
@@ -5178,17 +5164,13 @@
 {
     {
 	"DIGEST-MD5",
-	/* EXPORT DELETE START */
 #ifdef WITH_RC4				/* mech_name */
 	128,				/* max ssf */
 #elif WITH_DES
 	112,
 #else
-	/* EXPORT DELETE END */
 	0,
-	/* EXPORT DELETE START */
 #endif
-	/* EXPORT DELETE END */
 	SASL_SEC_NOPLAINTEXT
 	| SASL_SEC_NOANONYMOUS
 	| SASL_SEC_MUTUAL_AUTH,		/* security_flags */
@@ -5251,8 +5233,6 @@
 #endif /* USE_UEF_CLIENT */
 #endif /* _SUN_SDK_ */
 
-    /* EXPORT DELETE START */
-    /* CRYPT DELETE START */
 #ifdef _INTEGRATED_SOLARIS_
     /*
      * Let libsasl know that we are a "Sun" plugin so that privacy
@@ -5260,8 +5240,6 @@
      */
     REG_PLUG("DIGEST-MD5", digestmd5_client_plugins);
 #endif /* _INTEGRATED_SOLARIS_ */
-    /* CRYPT DELETE END */
-    /* EXPORT DELETE END */
 
     *out_version = SASL_CLIENT_PLUG_VERSION;
     *pluglist = digestmd5_client_plugins;
--- old/usr/src/lib/sasl_plugins/gssapi/gssapi.c	Thu Jul 11 01:29:38 2013
+++ new/usr/src/lib/sasl_plugins/gssapi/gssapi.c	Thu Jul 11 01:29:38 2013
@@ -1486,8 +1486,6 @@
 #endif
 #endif /* !_SUN_SDK_ */
     
-    /* EXPORT DELETE START */
-    /* CRYPT DELETE START */
 #ifdef _INTEGRATED_SOLARIS_
     /*
      * Let libsasl know that we are a "Sun" plugin so that privacy
@@ -1495,8 +1493,6 @@
      */
     REG_PLUG("GSSAPI", gssapi_server_plugins);
 #endif /* _INTEGRATED_SOLARIS_ */
-    /* CRYPT DELETE END */
-    /* EXPORT DELETE END */
 
     *out_version = SASL_SERVER_PLUG_VERSION;
     *pluglist = gssapi_server_plugins;
@@ -2186,8 +2182,6 @@
 	return SASL_BADVERS;
     }
     
-    /* EXPORT DELETE START */
-    /* CRYPT DELETE START */
 #ifdef _INTEGRATED_SOLARIS_
     /*
      * Let libsasl know that we are a "Sun" plugin so that privacy
@@ -2195,8 +2189,6 @@
      */
     REG_PLUG("GSSAPI", gssapi_client_plugins);
 #endif /* _INTEGRATED_SOLARIS_ */
-    /* CRYPT DELETE END */
-    /* EXPORT DELETE END */
 
     *out_version = SASL_CLIENT_PLUG_VERSION;
     *pluglist = gssapi_client_plugins;
--- old/usr/src/pkg/Makefile	Thu Jul 11 01:29:39 2013
+++ new/usr/src/pkg/Makefile	Thu Jul 11 01:29:39 2013
@@ -723,23 +723,3 @@
 i386 sparc: $$(@)/install
 
 FRC:
-
-# EXPORT DELETE START
-XMOD_PKGS= \
-	BRCMbnx \
-	BRCMbnxe \
-	SUNWadpu320 \
-	SUNWibsdpib \
-	SUNWkdc \
-	SUNWlsimega \
-	SUNWwbint \
-	SUNWwbsup
-
-EXPORT_SRC: CRYPT_SRC
-	$(RM) $(XMOD_PKGS:%=manifests/%.mf)
-	$(RM) Makefile+
-	$(SED) -e "/^# EXPORT DELETE START/,/^# EXPORT DELETE END/d" \
-		< Makefile > Makefile+
-	$(MV) -f Makefile+ Makefile
-	$(CHMOD) 444 Makefile
-# EXPORT DELETE END
--- old/usr/src/psm/stand/boot/Makefile	Thu Jul 11 01:29:40 2013
+++ new/usr/src/psm/stand/boot/Makefile	Thu Jul 11 01:29:40 2013
@@ -71,33 +71,3 @@
 	$(XREF) -x $@
 
 FRC:
-
-# EXPORT DELETE START
-EXPORT_SRC:
-	$(RM) sparc/common/wanboot.c+
-	sed -e "/EXPORT DELETE START/,/EXPORT DELETE END/d" \
-		< sparc/common/wanboot.c > sparc/common/wanboot.c+
-	$(MV) sparc/common/wanboot.c+ sparc/common/wanboot.c
-	$(CHMOD) 444 sparc/common/wanboot.c
-	$(RM) sparc/common/wbcli.c+
-	sed -e "/EXPORT DELETE START/,/EXPORT DELETE END/d" \
-		< sparc/common/wbcli.c > sparc/common/wbcli.c+
-	$(MV) sparc/common/wbcli.c+ sparc/common/wbcli.c
-	$(CHMOD) 444 sparc/common/wbcli.c
-	$(RM) sparc/common/ramdisk.c+
-	sed -e "/EXPORT DELETE START/,/EXPORT DELETE END/d" \
-		< sparc/common/ramdisk.c > sparc/common/ramdisk.c+
-	$(MV) sparc/common/ramdisk.c+ sparc/common/ramdisk.c
-	$(CHMOD) 444 sparc/common/ramdisk.c
-	$(RM) sparcv9/Makefile.com+
-	sed -e "/^# EXPORT DELETE START/,/^# EXPORT DELETE END/d" \
-		< sparcv9/sun4/Makefile > sparcv9/sun4/Makefile+
-	$(MV) sparcv9/sun4/Makefile+ sparcv9/sun4/Makefile
-	$(CHMOD) 444 sparcv9/sun4/Makefile
-	$(RM) Makefile+
-	sed -e "/^# EXPORT DELETE START/,/^# EXPORT DELETE END/d" \
-		< Makefile > Makefile+
-	$(RM) Makefile
-	$(MV) Makefile+ Makefile
-	$(CHMOD) 444 Makefile
-# EXPORT DELETE END
--- old/usr/src/psm/stand/boot/sparc/common/ramdisk.c	Thu Jul 11 01:29:41 2013
+++ new/usr/src/psm/stand/boot/sparc/common/ramdisk.c	Thu Jul 11 01:29:41 2013
@@ -26,9 +26,7 @@
 #include <sys/param.h>
 #include <sys/promif.h>
 #include <sys/salib.h>
-/* EXPORT DELETE START */
 #include <bootlog.h>
-/* EXPORT DELETE END */
 #include "ramdisk.h"
 
 #include <sys/param.h>
--- old/usr/src/psm/stand/boot/sparc/common/wanboot.c	Thu Jul 11 01:29:41 2013
+++ new/usr/src/psm/stand/boot/sparc/common/wanboot.c	Thu Jul 11 01:29:41 2013
@@ -24,7 +24,6 @@
  */
 
 #include <sys/types.h>
-/* EXPORT DELETE START */
 #include <sys/promif.h>
 #include <sys/obpdefs.h>
 #include <sys/bootvfs.h>
@@ -1587,12 +1586,10 @@
  *   ramdisk.  The bootfs filesystem is unmounted, and the rootfs filesystem
  *   is booted.
  */
-/* EXPORT DELETE END */
 /*ARGSUSED*/
 int
 bootprog(char *bpath, char *bargs, boolean_t user_specified_filename)
 {
-/* EXPORT DELETE START */
 	char		*miniroot_path;
 	url_t		server_url;
 	int		ret;
@@ -1677,6 +1674,5 @@
 
 	boot_ramdisk(RD_ROOTFS);
 
-/* EXPORT DELETE END */
 	return (0);
 }
--- old/usr/src/psm/stand/boot/sparc/common/wbcli.c	Thu Jul 11 01:29:42 2013
+++ new/usr/src/psm/stand/boot/sparc/common/wbcli.c	Thu Jul 11 01:29:42 2013
@@ -25,7 +25,6 @@
 
 #pragma ident	"%Z%%M%	%I%	%E% SMI"
 
-/* EXPORT DELETE START */
 #include <sys/types.h>
 #include <sys/param.h>
 #include <sys/salib.h>
@@ -49,12 +48,9 @@
 #include <netdb.h>
 #include <wanboot_conf.h>
 #include <bootinfo.h>
-/* EXPORT DELETE END */
 
 #include "wbcli.h"
 
-/* EXPORT DELETE START */
-
 #define	skipspace(p)	while (isspace(*(p))) ++p
 
 #define	skiptext(p)	while (*(p) != '\0' && !isspace(*(p)) && \
@@ -1305,11 +1301,9 @@
 	}
 }
 
-/* EXPORT DELETE END */
 boolean_t
 wanboot_init_interface(char *boot_arguments)
 {
-/* EXPORT DELETE START */
 	boolean_t	interactive;
 	int		which;
 
@@ -1405,7 +1399,6 @@
 	 */
 	if (strcmp(net_config_strategy(), "manual") == 0)
 		setup_interface();
-/* EXPORT DELETE END */
 	return (B_TRUE);
 }
 
@@ -1412,7 +1405,6 @@
 boolean_t
 wanboot_verify_config(void)
 {
-/* EXPORT DELETE START */
 	/*
 	 * Check that the wanboot.conf file defines a valid root_server
 	 * URL, and check that, if given, the boot_logger URL is valid.
@@ -1422,6 +1414,5 @@
 		    "incomplete boot configuration");
 		return (B_FALSE);
 	}
-/* EXPORT DELETE END */
 	return (B_TRUE);
 }
--- old/usr/src/psm/stand/boot/sparcv9/sun4/Makefile	Thu Jul 11 01:29:43 2013
+++ new/usr/src/psm/stand/boot/sparcv9/sun4/Makefile	Thu Jul 11 01:29:43 2013
@@ -96,20 +96,12 @@
 #
 # Libraries used to build wanboot
 #
-# EXPORT DELETE START
-LIBWANBOOT =	libwanboot.a
-LIBSCRYPT =	libscrypt.a
-LIBSSL =	libssl.a
-LIBCRYPTO =	libcrypto.a
-# EXPORT DELETE END
-
 LIBWAN_LIBS     = \
-		$(LIBWANBOOT) \
+		libwanboot.a \
 		libnvpair.a libufs.a libhsfs.a libnfs.a \
 		libxdr.a libnames.a libsock.a libinet.a libtcp.a \
-		$(LIBSCRYPT) $(LIBSSL) $(LIBCRYPTO) \
+		libscrypt.a libssl.a libcrypto.a \
 		libmd5.a libsa.a libprom.a \
-		$(LIBSSL) \
 		$(LIBPLAT_LIBS)
 WAN_LIBS        = $(LIBWAN_LIBS:lib%.a=-l%)
 WAN_DIRS        = $(LIBNAME_DIR:%=-L%) $(LIBSYS_DIR:%=-L%)
--- old/usr/src/req.flg	Thu Jul 11 01:29:43 2013
+++ new/usr/src/req.flg	Thu Jul 11 01:29:43 2013
@@ -32,7 +32,6 @@
 echo_file usr/src/Makefile.msg.targ
 echo_file usr/src/Makefile.psm
 echo_file usr/src/Makefile.psm.targ
-echo_file usr/src/xmod/xmod_files
 echo_file usr/closed/cmd/cmd-crypto/etc/certs/SUNWosnetCF
 echo_file usr/closed/cmd/cmd-crypto/etc/certs/SUNWosnetSE
 echo_file usr/closed/cmd/cmd-crypto/etc/keys/SUNWosnetCF
--- old/usr/src/tools/findunref/exception_list.open	Thu Jul 11 01:29:44 2013
+++ new/usr/src/tools/findunref/exception_list.open	Thu Jul 11 01:29:44 2013
@@ -175,7 +175,6 @@
 ./usr/src/uts/common/gssapi/include/Makefile
 ./usr/src/uts/common/gssapi/mechs/dummy/Makefile
 ./usr/src/uts/common/gssapi/mechs/krb5/Makefile
-./usr/src/xmod
 
 #
 # Ignore Makefiles which are used by developers but not used by nightly
--- old/usr/src/tools/scripts/checkpaths.sh	Thu Jul 11 01:29:45 2013
+++ new/usr/src/tools/scripts/checkpaths.sh	Thu Jul 11 01:29:45 2013
@@ -116,17 +116,6 @@
 	validate_paths -k ISUSED -r -e '^\*' $SRC/tools/findunref/exception_list
 fi
 
-# These are straightforward.
-if [ -d $SRC/xmod ]; then
-	# If the closed source is not present, then don't validate it.
-	if [ "$CLOSED_IS_PRESENT" = no ]; then
-		excl_cry="-e ^usr/closed"
-		excl_xmod="-e ^../closed"
-	fi
-	validate_paths $excl_cry $SRC/xmod/cry_files
-	validate_paths $excl_xmod -b $SRC $SRC/xmod/xmod_files
-fi
-
 if [ -f $SRC/tools/opensolaris/license-list ]; then
 	excl=
 	if [ "$CLOSED_IS_PRESENT" = no ]; then
--- old/usr/src/tools/scripts/nightly.sh	Thu Jul 11 01:29:46 2013
+++ new/usr/src/tools/scripts/nightly.sh	Thu Jul 11 01:29:46 2013
@@ -163,25 +163,6 @@
 	DEST=$1
 	PATTERN=$2
 	cd ${DEST}
-
-	OBJFILES=${ORIG_SRC}/xmod/obj_files
-	if [ ! -f ${OBJFILES} ]; then
-		return;
-	fi
-	for i in `grep -v '^#' ${OBJFILES} | \
-	    grep ${PATTERN} | cut -d: -f2 | tr -d ' \t'`
-	do
-		# wildcard expansion
-		for j in $i
-		do
-			if [ -f "$j" ]; then
-				echo $j
-			fi
-			if [ -d "$j" ]; then
-				echo $j
-			fi
-		done
-	done | sort | uniq
 }
 
 # function to save off binaries after a full build for later
@@ -415,55 +396,6 @@
 
 	echo "clearing state files." >> $LOGFILE
 	find . -name '.make*' -exec rm -f {} \;
-
-	cd ${DEST}
-	if [ "${MAKETARG}" = "CRYPT_SRC" ]; then
-		rm -f ${CODEMGR_WS}/crypt_files.cpio.Z
-		echo "\n==== xmod/cry_files that don't exist ====\n" | \
-		    tee -a $mail_msg_file >> $LOGFILE
-		CRYPT_FILES=${WS}/usr/src/xmod/cry_files
-		for i in `cat ${CRYPT_FILES}`
-		do
-			# make sure the files exist
-			if [ -f "$i" ]; then
-				continue
-			fi
-			if [ -d "$i" ]; then
-				continue
-			fi
-			echo "$i" | tee -a $mail_msg_file >> $LOGFILE
-		done
-		find `cat ${CRYPT_FILES}` -print 2>/dev/null | \
-		    cpio -ocB 2>/dev/null | \
-		    compress > ${CODEMGR_WS}/crypt_files.cpio.Z
-	fi
-
-	if [ "${MAKETARG}" = "EXPORT_SRC" ]; then
-		# rename first, since we might restore a file
-		# of the same name (mapfiles)
-		rename_files ${EXPORT_SRC} EXPORT_SRC
-		if [ "$SH_FLAG" = "y" ]; then
-			hybridize_files ${EXPORT_SRC} EXPORT_SRC
-		fi
-	fi
-
-	# save the cleartext
-	echo "\n==== Creating ${MAKETARG}.cpio.Z ====\n" | \
-	    tee -a $mail_msg_file >> $LOGFILE
-	cd ${DEST}
-	rm -f ${MAKETARG}.cpio.Z
-	find usr -depth -print | \
-	    grep -v usr/src/${MAKETARG}.out | \
-	    cpio -ocB 2>/dev/null | \
-	    compress > ${CODEMGR_WS}/${MAKETARG}.cpio.Z
-	if [ "${MAKETARG}" = "EXPORT_SRC" ]; then
-		restore_binaries ${EXPORT_SRC} EXPORT_SRC
-	fi
-
-	if [ "${MAKETARG}" = "CRYPT_SRC" ]; then
-		restore_binaries ${CRYPT_SRC} CRYPT_SRC
-	fi
-
 }
 
 # Return library search directive as function of given root.
@@ -1098,8 +1030,6 @@
 		O - build (only) open source
 '
 #
-#	-x	less public handling of xmod source for the source product
-#
 #	A log file will be generated under the name $LOGFILE
 #	for partially completed build and log.`date '+%F'`
 #	in the same directory for fully completed builds.
--- old/usr/src/tools/scripts/stdenv.sh	Thu Jul 11 01:29:46 2013
+++ new/usr/src/tools/scripts/stdenv.sh	Thu Jul 11 01:29:46 2013
@@ -34,20 +34,6 @@
 #
 
 #
-# the source product has no SCCS history, and is modified to remove source
-# that cannot be shipped. EXPORT_SRC is where the clear files are copied, then
-# modified with 'make EXPORT_SRC'.
-#
-[ -n "$EXPORT_SRC" ] || export EXPORT_SRC="$CODEMGR_WS/export_src"
-
-#
-# CRYPT_SRC is similar to EXPORT_SRC, but after 'make CRYPT_SRC' the files in
-# xmod/cry_files are saved. They are dropped on the exportable source to create
-# the domestic build.
-#
-[ -n "$CRYPT_SRC" ] || export CRYPT_SRC="$CODEMGR_WS/crypt_src"
-
-#
 # OPEN_SRCDIR is where we copy the open tree to so that we can be sure
 # we don't have a hidden dependency on closed code.  The name ends in
 # "DIR" to avoid confusion with the flags related to open source
--- old/usr/src/uts/Makefile	Thu Jul 11 01:29:47 2013
+++ new/usr/src/uts/Makefile	Thu Jul 11 01:29:47 2013
@@ -198,16 +198,6 @@
 
 clean.lint modlist: $($(MACH)_ARCHITECTURES)
 
-ONC_FILES=	common/io/timod.c \
-		common/os/sig.c \
-		common/os/flock.c \
-		common/os/sysent.c \
-		common/os/swapgeneric.c \
-		common/syscall/fcntl.c 
-
-# edit onc plus source files. 
-ONC_PLUS:	$(ONC_FILES:%=%_onc_plus) 
-
 #
 # Cross-reference customization: build a cross-reference over all of
 # the supported architectures.  Although there's no correct way to set
--- old/usr/src/uts/common/Makefile	Thu Jul 11 01:29:48 2013
+++ new/usr/src/uts/common/Makefile	Thu Jul 11 01:29:48 2013
@@ -28,17 +28,3 @@
 include $(SRC)/Makefile.master
 
 .KEEP_STATE:
-
-# EXPORT DELETE START
-# Special target to clean up the source tree for export distribution
-# Warning: This target changes the source tree
-EXPORT_SRC:
-	$(RM) Makefile+ Makefile.rules+
-	sed -e "/^# EXPORT DELETE START/,/^# EXPORT DELETE END/d" \
-		< Makefile > Makefile+
-	$(MV) Makefile+ Makefile
-	sed -e "/^# EXPORT DELETE START/,/^# EXPORT DELETE END/d" \
-		< Makefile.rules > Makefile.rules+
-	$(MV) Makefile.rules+ Makefile.rules
-	$(CHMOD) 444 Makefile Makefile.rules
-# EXPORT DELETE END
--- old/usr/src/uts/common/Makefile.files	Thu Jul 11 01:29:48 2013
+++ new/usr/src/uts/common/Makefile.files	Thu Jul 11 01:29:48 2013
@@ -1646,10 +1646,7 @@
 K5_OS=  timeofday.o toffset.o \
 	init_os_ctx.o c_ustime.o
 
-SEAL=
-# EXPORT DELETE START
 SEAL=	seal.o unseal.o
-# EXPORT DELETE END
 
 MECH=	delete_sec_context.o \
 	import_sec_context.o \
--- old/usr/src/uts/common/crypto/io/Makefile	Thu Jul 11 01:29:49 2013
+++ new/usr/src/uts/common/crypto/io/Makefile	Thu Jul 11 01:29:49 2013
@@ -31,29 +31,3 @@
 include ../../../../Makefile.master
 
 .KEEP_STATE:
-
-# EXPORT DELETE START
-EXPORT_SRC:
-	$(RM) Makefile+ aes.c+ arcfour.c+ blowfish.c+ dprov.c+ rsa.c+
-	sed -e "/EXPORT DELETE START/,/EXPORT DELETE END/d" \
-		< aes.c > aes.c+
-	$(MV) aes.c+ aes.c
-	sed -e "/EXPORT DELETE START/,/EXPORT DELETE END/d" \
-		< arcfour.c > arcfour.c+
-	$(MV) arcfour.c+ arcfour.c
-	sed -e "/EXPORT DELETE START/,/EXPORT DELETE END/d" \
-		< blowfish.c > blowfish.c+
-	$(MV) blowfish.c+ blowfish.c
-	sed -e "/EXPORT DELETE START/,/EXPORT DELETE END/d" \
-		< dprov.c > dprov.c+
-	$(MV) dprov.c+ dprov.c
-	sed -e "/EXPORT DELETE START/,/EXPORT DELETE END/d" \
-		< rsa.c > rsa.c+
-	$(MV) rsa.c+ rsa.c
-	sed -e "/^# EXPORT DELETE START/,/^# EXPORT DELETE END/d" \
-		< Makefile > Makefile+
-	$(RM) Makefile
-	$(MV) Makefile+ Makefile 
-	$(CHMOD) 444 Makefile aes.c arcfour.c blowfish.c dprov.c rsa.c
-
-# EXPORT DELETE END
